%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global module_name stopforumspam

Name:           python-django-%{module_name}
Version:        1.4.2
Release:        2%{?dist}
Summary:        Django middleware for blocking IPs listed in stopforumspam.com

License:        BSD
URL:            https://pypi.python.org/pypi/%{module_name}/
Source0:        https://pypi.python.org/packages/source/s/%{module_name}/%{module_name}-%{version}.tar.gz

# For EL5
Patch0:         %{module_name}-1.4.1-setup-py.patch

Group:          Development/Libraries
BuildArch:      noarch
BuildRequires:  python2-devel python-setuptools

%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       Django
%else
Requires:       python-django
%endif


%description
Tired of comment spam, form spam and dumb crawlers? A django application that
provides middleware for blocking IPs listed in stopforumspam.com's database. A
simple management command is provided for updating the database:

    manage.py sfsupdate [--force]

Using this command, all IPs are stored in Django models. Using django-admin,
it's possible to add your own extra IP addresses on a permanent database.

%prep
%setup -q -n %{module_name}-%{version}
rm -frv stopforumspam.egg-info

%if 0%{?rhel} && 0%{?rhel} <= 6
%patch0 -p0
%endif


%build
%{__python2} setup.py build


%install
%if 0%{?rhel} && 0%{?rhel} <= 6
rm -rf $RPM_BUILD_ROOT
%endif

%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc README.md
%{python2_sitelib}/%{module_name}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{module_name}


%changelog
* Tue Aug 12 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.4.2-2
- Add conditional requires for EL5/6 where the package depends on Django

* Sun Aug 10 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.4.2-1
- Update to latest upstream release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 30 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.4.1-1
- Corrected file section macros
- Added EPEL conditionals
- Initial rpm build


